diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/system.txi
--- a/doc/interpreter/system.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/system.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -91,60 +91,73 @@
 In the descriptions of the following functions, this structure is
 referred to as a @var{tm_struct}.
 
-@DOCSTRING(time)
+@ref{XREFtime, , @code{time}}: Return the current time as the number of seconds since the epoch.
 
-@DOCSTRING(now)
+@ref{XREFnow, , @code{now}}: Return the current local date/time as a serial day number (see
+'datenum').
 
-@DOCSTRING(ctime)
+@ref{XREFctime, , @code{ctime}}: Convert a value returned from 'time' (or any other non-negative
+integer), to ...
 
-@DOCSTRING(gmtime)
+@ref{XREFgmtime, , @code{gmtime}}: Given a value returned from 'time', or any non-negative integer, return
+a tim...
 
-@DOCSTRING(localtime)
+@ref{XREFlocaltime, , @code{localtime}}: Given a value returned from 'time', or any non-negative integer, return
+a tim...
 
-@DOCSTRING(mktime)
+@ref{XREFmktime, , @code{mktime}}: Convert a time structure corresponding to the local time to the number
+of sec...
 
-@DOCSTRING(asctime)
+@ref{XREFasctime, , @code{asctime}}: Convert a time structure to a string using the following format: "ddd
+mmm mm ...
 
-@DOCSTRING(strftime)
+@ref{XREFstrftime, , @code{strftime}}: Format the time structure TM_STRUCT in a flexible way using the format
+string...
 
-@DOCSTRING(strptime)
+@ref{XREFstrptime, , @code{strptime}}: Convert the string STR to the time structure TM_STRUCT under the control
+of t...
 
 Most of the remaining functions described in this section are not
 patterned after the standard C library.  Some are available for
 compatibility with @sc{matlab} and others are provided because they are
 useful.
 
-@DOCSTRING(clock)
+@ref{XREFclock, , @code{clock}}: Return the current local date and time as a date vector.
 
-@DOCSTRING(date)
+@ref{XREFdate, , @code{date}}: Return the current date as a character string in the form DD-MMM-YYYY.
 
-@DOCSTRING(etime)
+@ref{XREFetime, , @code{etime}}: Return the difference in seconds between two time values returned from
+'clock...
 
-@DOCSTRING(cputime)
+@ref{XREFcputime, , @code{cputime}}: Return the CPU time used by your Octave session.
 
-@DOCSTRING(is_leap_year)
+@ref{XREFis_leap_year, , @code{is_leap_year}}: Return true if YEAR is a leap year and false otherwise.
 
-@DOCSTRING(tic)
+@ref{XREFtic, , @code{tic}}: Initialize a wall-clock timer.
 
-@DOCSTRING(toc)
+@ref{XREFtoc, , @code{toc}}: Measure elapsed time on a wall-clock timer.
 
-@DOCSTRING(pause)
+@ref{XREFpause, , @code{pause}}: Suspend the execution of the program or change the state of the pause
+function.
 
-@DOCSTRING(datenum)
-
-@DOCSTRING(datestr)
+@ref{XREFdatenum, , @code{datenum}}: Return the date/time input as a serial day number, with Jan 1, 0000
+defined a...
 
-@DOCSTRING(datevec)
+@ref{XREFdatestr, , @code{datestr}}: Format the given date/time according to the format F and return the
+result in...
 
-@DOCSTRING(addtodate)
+@ref{XREFdatevec, , @code{datevec}}: Convert a serial date number (see 'datenum') or date string (see
+'datestr') i...
 
-@DOCSTRING(calendar)
+@ref{XREFaddtodate, , @code{addtodate}}: Add Q amount of time (with units F) to the serial datenum, D.
 
-@DOCSTRING(weekday)
+@ref{XREFcalendar, , @code{calendar}}: Return the current monthly calendar in a 6x7 matrix.
 
-@DOCSTRING(eomday)
+@ref{XREFweekday, , @code{weekday}}: Return the day of the week as a number in N and as a string in S.
 
-@DOCSTRING(datetick)
+@ref{XREFeomday, , @code{eomday}}: Return the last day of the month M for the year Y.
+
+@ref{XREFdatetick, , @code{datetick}}: Add date-formatted tick labels to an axis.
 
 @node Filesystem Utilities
 @section Filesystem Utilities
@@ -153,101 +166,108 @@
 deleting files; for creating, reading, and deleting directories; for retrieving
 status information on files; and for manipulating file and path names.
 
-@DOCSTRING(movefile)
+@ref{XREFmovefile, , @code{movefile}}: Move the source file or directory F1 to the destination F2.
 
-@DOCSTRING(rename)
+@ref{XREFrename, , @code{rename}}: Change the name of file OLD to NEW.
 
-@DOCSTRING(copyfile)
+@ref{XREFcopyfile, , @code{copyfile}}: Copy the source file(s) or directory F1 to the destination F2.
 
-@DOCSTRING(unlink)
+@ref{XREFunlink, , @code{unlink}}: Delete the file named FILE.
 
-@DOCSTRING(link)
+@ref{XREFlink, , @code{link}}: Create a new link (also known as a hard link) to an existing file.
 
-@DOCSTRING(symlink)
+@ref{XREFsymlink, , @code{symlink}}: Create a symbolic link NEW which contains the string OLD.
 
-@DOCSTRING(readlink)
+@ref{XREFreadlink, , @code{readlink}}: Read the value of the symbolic link SYMLINK.
 
-@DOCSTRING(mkdir)
+@ref{XREFmkdir, , @code{mkdir}}: Create a directory named DIRNAME in the directory PARENT, creating any
+interm...
 
-@DOCSTRING(rmdir)
+@ref{XREFrmdir, , @code{rmdir}}: Remove the directory named DIR.
 
-@DOCSTRING(confirm_recursive_rmdir)
+@ref{XREFconfirm_recursive_rmdir, , @code{confirm_recursive_rmdir}}: Query or set the internal variable that controls whether Octave will ask
+for ...
 
-@DOCSTRING(mkfifo)
+@ref{XREFmkfifo, , @code{mkfifo}}: Create a FIFO special file named NAME with file mode MODE.
 
-@DOCSTRING(umask)
+@ref{XREFumask, , @code{umask}}: Set the permission mask for file creation.
 
 @anchor{XREFlstat}
-@DOCSTRING(stat)
+@ref{XREFstat, , @code{stat}}: Return a structure INFO containing the following information about FILE
+or fi...
 
-@DOCSTRING(S_ISBLK)
-
-@DOCSTRING(S_ISCHR)
+@ref{XREFS_ISBLK, , @code{S_ISBLK}}: Return true if MODE corresponds to a block device.
 
-@DOCSTRING(S_ISDIR)
+@ref{XREFS_ISCHR, , @code{S_ISCHR}}: Return true if MODE corresponds to a character device.
 
-@DOCSTRING(S_ISFIFO)
+@ref{XREFS_ISDIR, , @code{S_ISDIR}}: Return true if MODE corresponds to a directory.
 
-@DOCSTRING(S_ISLNK)
+@ref{XREFS_ISFIFO, , @code{S_ISFIFO}}: Return true if MODE corresponds to a fifo.
 
-@DOCSTRING(S_ISREG)
+@ref{XREFS_ISLNK, , @code{S_ISLNK}}: Return true if MODE corresponds to a symbolic link.
 
-@DOCSTRING(S_ISSOCK)
+@ref{XREFS_ISREG, , @code{S_ISREG}}: Return true if MODE corresponds to a regular file.
 
-@DOCSTRING(fileattrib)
+@ref{XREFS_ISSOCK, , @code{S_ISSOCK}}: Return true if MODE corresponds to a socket.
 
-@DOCSTRING(isfile)
+@ref{XREFfileattrib, , @code{fileattrib}}: Report attribute information about FILE.
+
+@ref{XREFisfile, , @code{isfile}}: Return true if F is a regular file and false otherwise.
 
-@DOCSTRING(isdir)
+@ref{XREFisdir, , @code{isdir}}: This function is not recommended.
 
-@DOCSTRING(isfolder)
+@ref{XREFisfolder, , @code{isfolder}}: Return true if F is a directory and false otherwise.
 
-@DOCSTRING(readdir)
+@ref{XREFreaddir, , @code{readdir}}: Return the names of files in the directory DIR as a cell array of
+strings.
 
-@DOCSTRING(glob)
-
-@DOCSTRING(file_in_path)
+@ref{XREFglob, , @code{glob}}: Given an array of pattern strings (as a char array or a cell array) in
+PATTER...
 
-@DOCSTRING(filesep)
+@ref{XREFfile_in_path, , @code{file_in_path}}: Return the absolute name of FILE if it can be found in PATH.
+
+@ref{XREFfilesep, , @code{filesep}}: Return the system-dependent character used to separate directory names.
 
-@DOCSTRING(fileparts)
+@ref{XREFfileparts, , @code{fileparts}}: Return the directory, name, and extension components of FILENAME.
 
-@DOCSTRING(fullfile)
+@ref{XREFfullfile, , @code{fullfile}}: Build complete filename from separate parts.
 
-@DOCSTRING(tilde_expand)
+@ref{XREFtilde_expand, , @code{tilde_expand}}: Perform tilde expansion on STRING.
 
-@DOCSTRING(canonicalize_file_name)
+@ref{XREFcanonicalize_file_name, , @code{canonicalize_file_name}}: Return the canonical name of file FNAME.
 
-@DOCSTRING(make_absolute_filename)
+@ref{XREFmake_absolute_filename, , @code{make_absolute_filename}}: Return the full name of FILE beginning from the root of the file system.
 
-@DOCSTRING(is_absolute_filename)
+@ref{XREFis_absolute_filename, , @code{is_absolute_filename}}: Return true if FILE is an absolute filename.
 
-@DOCSTRING(is_same_file)
+@ref{XREFis_same_file, , @code{is_same_file}}: Return true if FILEPATH1 and FILEPATH2 refer to the same file.
 
-@DOCSTRING(is_rooted_relative_filename)
+@ref{XREFis_rooted_relative_filename, , @code{is_rooted_relative_filename}}: Return true if FILE is a rooted-relative filename.
 
-@DOCSTRING(recycle)
+@ref{XREFrecycle, , @code{recycle}}: Query or set the preference for recycling deleted files.
 
 @node File Archiving Utilities
 @section File Archiving Utilities
 
-@DOCSTRING(bunzip2)
+@ref{XREFbunzip2, , @code{bunzip2}}: Unpack the bzip2 archive BZFILE.
 
-@DOCSTRING(gzip)
+@ref{XREFgzip, , @code{gzip}}: Compress the list of files and directories specified in FILES.
 
-@DOCSTRING(gunzip)
+@ref{XREFgunzip, , @code{gunzip}}: Unpack the gzip archive GZFILE.
 
-@DOCSTRING(tar)
+@ref{XREFtar, , @code{tar}}: Pack the list of files and directories specified in FILES into the TAR
+archiv...
 
-@DOCSTRING(untar)
+@ref{XREFuntar, , @code{untar}}: Unpack the TAR archive TARFILE.
 
-@DOCSTRING(zip)
+@ref{XREFzip, , @code{zip}}: Compress the list of files and directories specified in FILES into the
+ZIP ar...
 
-@DOCSTRING(unzip)
+@ref{XREFunzip, , @code{unzip}}: Unpack the ZIP archive ZIPFILE.
 
-@DOCSTRING(unpack)
+@ref{XREFunpack, , @code{unpack}}: Unpack the archive FILE based on its extension to the directory DIR.
 
-@DOCSTRING(bzip2)
+@ref{XREFbzip2, , @code{bzip2}}: Compress the list of files specified in FILES.
 
 @node Networking Utilities
 @section Networking Utilities
@@ -258,7 +278,7 @@
 * Base64 and Binary Data Transmission::
 @end menu
 
-@DOCSTRING(gethostname)
+@ref{XREFgethostname, , @code{gethostname}}: Return the hostname of the system where Octave is running.
 
 @node FTP Objects
 @subsection FTP Objects
@@ -267,29 +287,32 @@
 Use the function @code{ftp} to create an FTP object which represents the
 connection.  All FTP functions take an FTP object as the first argument.
 
-@DOCSTRING(@ftp/ftp)
+@ref{XREF@@ftp/ftp, , @code{@@ftp/ftp}}: Connect to the FTP server HOST with USERNAME and PASSWORD.
 
-@DOCSTRING(@ftp/close)
-
-@DOCSTRING(@ftp/mget)
+@ref{XREF@@ftp/close, , @code{@@ftp/close}}: Close the FTP connection represented by the FTP object F.
 
-@DOCSTRING(@ftp/mput)
+@ref{XREF@@ftp/mget, , @code{@@ftp/mget}}: Download a remote file FILE or directory DIR to the local directory on
+the FT...
 
-@DOCSTRING(@ftp/cd)
+@ref{XREF@@ftp/mput, , @code{@@ftp/mput}}: Upload the local file FILE into the current remote directory on the FTP
+conne...
 
-@DOCSTRING(@ftp/dir)
+@ref{XREF@@ftp/cd, , @code{@@ftp/cd}}: Get or set the remote directory on the FTP connection F.
 
-@DOCSTRING(@ftp/ascii)
+@ref{XREF@@ftp/dir, , @code{@@ftp/dir}}: List the current directory in verbose form for the FTP connection F.
 
-@DOCSTRING(@ftp/binary)
+@ref{XREF@@ftp/ascii, , @code{@@ftp/ascii}}: Set the FTP connection F to use ASCII mode for transfers.
 
-@DOCSTRING(@ftp/delete)
+@ref{XREF@@ftp/binary, , @code{@@ftp/binary}}: Set the FTP connection F to use binary mode for transfers.
 
-@DOCSTRING(@ftp/rename)
+@ref{XREF@@ftp/delete, , @code{@@ftp/delete}}: Delete the remote file FILE over the FTP connection F.
 
-@DOCSTRING(@ftp/mkdir)
+@ref{XREF@@ftp/rename, , @code{@@ftp/rename}}: Rename or move the remote file or directory OLDNAME to NEWNAME, over the
+FTP ...
 
-@DOCSTRING(@ftp/rmdir)
+@ref{XREF@@ftp/mkdir, , @code{@@ftp/mkdir}}: Create the remote directory PATH, over the FTP connection F.
+
+@ref{XREF@@ftp/rmdir, , @code{@@ftp/rmdir}}: Remove the remote directory PATH, over the FTP connection F.
 
 @node WWW Access
 @subsection WWW Access
@@ -301,17 +324,18 @@
 data to/from Octave and a website identified by a URL (Uniform Resource
 Locator).
 
-@DOCSTRING(web)
+@ref{XREFweb, , @code{web}}: Open URL in the default system web browser.
 
-@DOCSTRING(urlread)
-
-@DOCSTRING(urlwrite)
+@ref{XREFurlread, , @code{urlread}}: Download a remote file specified by its URL and return its content in
+string S.
 
-@DOCSTRING(webread)
+@ref{XREFurlwrite, , @code{urlwrite}}: Download a remote file specified by its URL and save it as LOCALFILE.
+
+@ref{XREFwebread, , @code{webread}}: Read content from RESTful web service.
 
-@DOCSTRING(webwrite)
+@ref{XREFwebwrite, , @code{webwrite}}: Write data to RESTful web services.
 
-@DOCSTRING(weboptions)
+@ref{XREFweboptions, , @code{weboptions}}: Specify parameters for RESTful web services.
 
 @node Base64 and Binary Data Transmission
 @subsection Base64 and Binary Data Transmission
@@ -320,13 +344,13 @@
 encode binary data in Base64 for transmission and to decode the data upon
 reception.
 
-@DOCSTRING(base64_encode)
+@ref{XREFbase64_encode, , @code{base64_encode}}: Encode a double matrix or array X into the base64 format string S.
 
-@DOCSTRING(base64_decode)
+@ref{XREFbase64_decode, , @code{base64_decode}}: Decode the double matrix or array X from the base64 encoded string S.
 
-@DOCSTRING(matlab.net.base64encode)
+@ref{XREFmatlab_net_base64encode, , @code{matlab.net.base64encode}}: Convert IN to a base64 encoded string B64_STR.
 
-@DOCSTRING(matlab.net.base64decode)
+@ref{XREFmatlab_net_base64decode, , @code{matlab.net.base64decode}}: Convert base64 encoded B64_STR to uint8 vector OUT_VEC.
 
 @node Controlling Subprocesses
 @section Controlling Subprocesses
@@ -341,108 +365,124 @@
 use them if you can't find any way to do what you need with the
 higher-level functions.
 
-@DOCSTRING(system)
+@ref{XREFsystem, , @code{system}}: Execute a shell command specified by STRING.
 
-@DOCSTRING(unix)
+@ref{XREFunix, , @code{unix}}: Execute a system command if running under a Unix-like operating system,
+other...
 
-@DOCSTRING(dos)
+@ref{XREFdos, , @code{dos}}: Execute a system command if running under a Windows-like operating
+system, ot...
 
-@DOCSTRING(open)
-
-@DOCSTRING(perl)
+@ref{XREFopen, , @code{open}}: Open the file FILE in Octave or in an external application based on the
+file ...
 
-@DOCSTRING(python)
+@ref{XREFperl, , @code{perl}}: Invoke Perl script SCRIPTFILE, possibly with a list of command line
+arguments.
 
-@DOCSTRING(popen)
+@ref{XREFpython, , @code{python}}: Invoke Python script SCRIPTFILE, possibly with a list of command line
+argumen...
 
-@DOCSTRING(pclose)
+@ref{XREFpopen, , @code{popen}}: Start a process and create a pipe.
+
+@ref{XREFpclose, , @code{pclose}}: Close a file identifier that was opened by 'popen'.
 
-@DOCSTRING(popen2)
+@ref{XREFpopen2, , @code{popen2}}: Start a subprocess with two-way communication.
 
-@DOCSTRING(EXEC_PATH)
+@ref{XREFEXEC_PATH, , @code{EXEC_PATH}}: Query or set the internal variable that specifies a colon separated list
+of d...
 
 In most cases, the following functions simply decode their arguments and
 make the corresponding Unix system calls.  For a complete example of how
 they can be used, look at the definition of the function @code{popen2}.
 
-@DOCSTRING(fork)
+@ref{XREFfork, , @code{fork}}: Create a copy of the current process.
 
-@DOCSTRING(exec)
+@ref{XREFexec, , @code{exec}}: Replace current process with a new process.
 
-@DOCSTRING(pipe)
+@ref{XREFpipe, , @code{pipe}}: Create a pipe and return the reading and writing ends of the pipe into
+READ_F...
 
-@DOCSTRING(dup2)
+@ref{XREFdup2, , @code{dup2}}: Duplicate a file descriptor.
+
+@ref{XREFwaitpid, , @code{waitpid}}: Wait for process PID to terminate.
 
-@DOCSTRING(waitpid)
+@ref{XREFWCONTINUE, , @code{WCONTINUE}}: Return the numerical value of the 'WCONTINUE' macro.
 
-@DOCSTRING(WCONTINUE)
+@ref{XREFWCOREDUMP, , @code{WCOREDUMP}}: Given STATUS from a call to 'waitpid', return true if the child produced
+a co...
 
-@DOCSTRING(WCOREDUMP)
+@ref{XREFWEXITSTATUS, , @code{WEXITSTATUS}}: Given STATUS from a call to 'waitpid', return the exit status of the
+child.
 
-@DOCSTRING(WEXITSTATUS)
-
-@DOCSTRING(WIFCONTINUED)
+@ref{XREFWIFCONTINUED, , @code{WIFCONTINUED}}: Given STATUS from a call to 'waitpid', return true if the child process
+was r...
 
-@DOCSTRING(WIFSIGNALED)
-
-@DOCSTRING(WIFSTOPPED)
+@ref{XREFWIFSIGNALED, , @code{WIFSIGNALED}}: Given STATUS from a call to 'waitpid', return true if the child process
+was t...
 
-@DOCSTRING(WIFEXITED)
+@ref{XREFWIFSTOPPED, , @code{WIFSTOPPED}}: Given STATUS from a call to 'waitpid', return true if the child process
+was s...
 
-@DOCSTRING(WNOHANG)
+@ref{XREFWIFEXITED, , @code{WIFEXITED}}: Given STATUS from a call to 'waitpid', return true if the child
+terminated no...
 
-@DOCSTRING(WSTOPSIG)
+@ref{XREFWNOHANG, , @code{WNOHANG}}: Return the numerical value of the 'WNOHANG' macro.
 
-@DOCSTRING(WTERMSIG)
+@ref{XREFWSTOPSIG, , @code{WSTOPSIG}}: Given STATUS from a call to 'waitpid', return the number of the signal
+which ...
 
-@DOCSTRING(WUNTRACED)
+@ref{XREFWTERMSIG, , @code{WTERMSIG}}: Given STATUS from a call to 'waitpid', return the number of the signal
+that c...
 
-@DOCSTRING(fcntl)
+@ref{XREFWUNTRACED, , @code{WUNTRACED}}: Return the numerical value of the 'WUNTRACED' macro.
+
+@ref{XREFfcntl, , @code{fcntl}}: Change the properties of the open file FID.
 
-@DOCSTRING(kill)
+@ref{XREFkill, , @code{kill}}: Send signal SIG to process PID.
 
-@DOCSTRING(SIG)
+@ref{XREFSIG, , @code{SIG}}: Return a structure containing Unix signal names and their defined
+values.
 
 @node Process ID Information
 @section Process, Group, and User IDs
 
-@DOCSTRING(getpgrp)
+@ref{XREFgetpgrp, , @code{getpgrp}}: Return the process group id of the current process.
 
-@DOCSTRING(getpid)
+@ref{XREFgetpid, , @code{getpid}}: Return the process id of the current process.
 
-@DOCSTRING(getppid)
+@ref{XREFgetppid, , @code{getppid}}: Return the process id of the parent process.
 
-@DOCSTRING(geteuid)
+@ref{XREFgeteuid, , @code{geteuid}}: Return the effective user id of the current process.
 
-@DOCSTRING(getuid)
+@ref{XREFgetuid, , @code{getuid}}: Return the real user id of the current process.
 
-@DOCSTRING(getegid)
+@ref{XREFgetegid, , @code{getegid}}: Return the effective group id of the current process.
 
-@DOCSTRING(getgid)
+@ref{XREFgetgid, , @code{getgid}}: Return the real group id of the current process.
 
 @node Environment Variables
 @section Environment Variables
 
-@DOCSTRING(getenv)
+@ref{XREFgetenv, , @code{getenv}}: Return the value of the environment variable VAR.
 
-@DOCSTRING(setenv)
+@ref{XREFsetenv, , @code{setenv}}: Set the value of the environment variable VAR to VALUE.
 
-@DOCSTRING(unsetenv)
+@ref{XREFunsetenv, , @code{unsetenv}}: Delete the environment variable VAR.
 
-@DOCSTRING(get_home_directory)
+@ref{XREFget_home_directory, , @code{get_home_directory}}: Return the current home directory.
 
 @node Current Working Directory
 @section Current Working Directory
 
-@DOCSTRING(cd)
+@ref{XREFcd, , @code{cd}}: Change the current working directory to DIR.
 
-@DOCSTRING(ls)
+@ref{XREFls, , @code{ls}}: List directory contents.
 
-@DOCSTRING(ls_command)
+@ref{XREFls_command, , @code{ls_command}}: Query or set the shell command used by Octave's 'ls' command.
 
-@DOCSTRING(dir)
+@ref{XREFdir, , @code{dir}}: Display file listing for directory DIRECTORY.
 
-@DOCSTRING(pwd)
+@ref{XREFpwd, , @code{pwd}}: Return the current working directory.
 
 @node Password Database Functions
 @section Password Database Functions
@@ -476,15 +516,19 @@
 In the descriptions of the following functions, this data structure is
 referred to as a @var{pw_struct}.
 
-@DOCSTRING(getpwent)
+@ref{XREFgetpwent, , @code{getpwent}}: Return a structure containing an entry
+from the password database, opening it...
 
-@DOCSTRING(getpwuid)
+@ref{XREFgetpwuid, , @code{getpwuid}}: Return a structure containing the first
+entry from the password database with...
 
-@DOCSTRING(getpwnam)
+@ref{XREFgetpwnam, , @code{getpwnam}}: Return a structure containing the first
+entry from the password database with...
 
-@DOCSTRING(setpwent)
+@ref{XREFsetpwent, , @code{setpwent}}: Return the internal pointer to the
+beginning of the password database.
 
-@DOCSTRING(endpwent)
+@ref{XREFendpwent, , @code{endpwent}}: Close the password database.
 
 @node Group Database Functions
 @section Group Database Functions
@@ -508,65 +552,76 @@
 
 In the descriptions of the following functions, this data structure is
 referred to as a @var{grp_struct}.
-
-@DOCSTRING(getgrent)
-
-@DOCSTRING(getgrgid)
-
-@DOCSTRING(getgrnam)
-
-@DOCSTRING(setgrent)
-
-@DOCSTRING(endgrent)
+ 
+@ref{XREFgetgrent, , @code{getgrent}}: Return an entry from the group database,
+opening it if necessary.
+ 
+@ref{XREFgetgrgid, , @code{getgrgid}}: Return the first entry from the group
+database with the group ID GID.
+ 
+@ref{XREFgetgrnam, , @code{getgrnam}}: Return the first entry from the group
+database with the group name NAME.
+ 
+@ref{XREFsetgrent, , @code{setgrent}}: Return the internal pointer to the
+beginning of the group database.
+ 
+@ref{XREFendgrent, , @code{endgrent}}: Close the group database.
 
 @node System Information
 @section System Information
 
-@DOCSTRING(computer)
-
-@DOCSTRING(uname)
-
-@DOCSTRING(nproc)
-
-@DOCSTRING(ispc)
-
-@DOCSTRING(isunix)
-
-@DOCSTRING(ismac)
-
-@DOCSTRING(isieee)
-
-@DOCSTRING(isdeployed)
-
-@DOCSTRING(isstudent)
-
-@DOCSTRING(OCTAVE_HOME)
-
-@DOCSTRING(OCTAVE_EXEC_HOME)
+@ref{XREFcomputer, , @code{computer}}: Print or return a string of the form
+CPU-VENDOR-OS that identifies the type o...
+ 
+@ref{XREFuname, , @code{uname}}: Return system information in the structure.
+ 
+@ref{XREFnproc, , @code{nproc}}: Return the current number of available
+processors.
+ 
+@ref{XREFispc, , @code{ispc}}: Return true if Octave is running on a Windows
+system and false otherwise.
+ 
+@ref{XREFisunix, , @code{isunix}}: Return true if Octave is running on a
+Unix-like system and false otherwise.
+ 
+@ref{XREFismac, , @code{ismac}}: Return true if Octave is running on a
+Mac OS X system and false otherwise.
+ 
+@ref{XREFisieee, , @code{isieee}}: Return true if your computer _claims_
+to conform to the IEEE standard for flo...
+ 
+@ref{XREFisdeployed, , @code{isdeployed}}: Return true if the current program has been compiled and is running
+separatel...
+ 
+@ref{XREFisstudent, , @code{isstudent}}: Return true if running in the student edition of MATLAB.
+ 
+@ref{XREFOCTAVE_HOME, , @code{OCTAVE_HOME}}: Return the name of the top-level Octave installation directory.
+ 
+@ref{XREFOCTAVE_EXEC_HOME, , @code{OCTAVE_EXEC_HOME}}: Return the name of the top-level Octave installation directory for
+architectu...
+ 
+@ref{XREFmatlabroot, , @code{matlabroot}}: Return the name of the top-level Octave installation directory.
+ 
+@ref{XREFOCTAVE_VERSION, , @code{OCTAVE_VERSION}}: Return the version number of Octave as a string.
+ 
+@ref{XREFversion, , @code{version}}: Get version information for Octave.
+ 
+@ref{XREFver, , @code{ver}}: Display a header containing the current Octave version number, license
+string...
+ 
+@ref{XREFcompare_versions, , @code{compare_versions}}: Compare two version strings using the given OPERATOR.
+ 
+@ref{XREFverLessThan, , @code{verLessThan}}: Return true if the installed version of the package is less than
+VERSION.
+ 
+@ref{XREFlicense, , @code{license}}: Get license information for Octave and Octave packages.
+ 
+@ref{XREFmemory, , @code{memory}}: Display or return information about the memory usage of Octave.
+ 
+@ref{XREFgetrusage, , @code{getrusage}}: Return a structure containing a number of statistics about the current
+Octave...
 
-@DOCSTRING(matlabroot)
-
-@DOCSTRING(user_config_dir)
-
-@DOCSTRING(user_data_dir)
-
-@DOCSTRING(OCTAVE_VERSION)
-
-@DOCSTRING(version)
-
-@DOCSTRING(ver)
-
-@DOCSTRING(compare_versions)
-
-@DOCSTRING(verLessThan)
-
-@DOCSTRING(license)
-
-@DOCSTRING(memory)
-
-@DOCSTRING(getrusage)
-
-@DOCSTRING(winqueryreg)
+@ref{XREFwinqueryreg, , @code{winqueryreg}}: Query names or value from the Windows registry.
 
 @node Hashing Functions
 @section Hashing Functions
@@ -586,4 +641,4 @@
 function.  The @code{hash} function supports the most common used
 cryptographic hash functions, namely MD5 and SHA-1.
 
-@DOCSTRING(hash)
+@ref{XREFhash, , @code{hash}}: Calculate the hash value of the string STR using the hash function HFUN.
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/testfun.txi
--- a/doc/interpreter/testfun.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/testfun.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -32,7 +32,8 @@
 @node Test Functions
 @section Test Functions
 
-@DOCSTRING(test)
+@ref{XREFtest, , @code{test}}: Perform built-in self-tests from the first file in the loadpath matching
+NAME.
 
 @code{test} scans the named script file looking for lines which start
 with the identifier @samp{%!}.  The prefix is stripped off and the rest
@@ -459,19 +460,22 @@
 path and the user will have to remember to type
 @code{test ("funcname.cc")}.
 
-@DOCSTRING(assert)
+@ref{XREFassert, , @code{assert}}: Produce an error if the specified condition is not met.
 
-@DOCSTRING(fail)
+@ref{XREFfail, , @code{fail}}: Return true if CODE fails with an error message matching PATTERN,
+otherwise p...
 
 @node Demonstration Functions
 @section Demonstration Functions
 
-@DOCSTRING(demo)
+@ref{XREFdemo, , @code{demo}}: Run example code block N associated with the function NAME.
 
-@DOCSTRING(example)
+@ref{XREFexample, , @code{example}}: Display the code for example N associated with the function NAME, but do
+not ...
 
-@DOCSTRING(oruntests)
+@ref{XREForuntests, , @code{oruntests}}: Execute built-in tests for all m-files in the specified DIRECTORY.
 
-@DOCSTRING(rundemos)
+@ref{XREFrundemos, , @code{rundemos}}: Execute built-in demos for all m-files in the specified DIRECTORY.
 
-@DOCSTRING(speed)
+@ref{XREFspeed, , @code{speed}}: Determine the execution time of an expression (F) for various input
+values (N).
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/var.txi
--- a/doc/interpreter/var.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/var.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -64,15 +64,16 @@
 before they have been given a value.  Doing so results in an error.
 
 @cindex @code{ans}
-@DOCSTRING(ans)
+@ref{XREFans, , @code{ans}}: The most recently computed result that was not explicitly assigned to a
+varia...
 
-@DOCSTRING(isvarname)
+@ref{XREFisvarname, , @code{isvarname}}: Return true if NAME is a valid variable name.
 
-@DOCSTRING(matlab.lang.makeValidName)
+@ref{XREFmatlab_lang_makeValidName, , @code{matlab.lang.makeValidName}}: Create valid variable name VARNAME from STR.
 
-@DOCSTRING(matlab.lang.makeUniqueStrings)
+@ref{XREFmatlab_lang_makeUniqueStrings, , @code{matlab.lang.makeUniqueStrings}}: Construct a list of unique strings from a list of strings.
 
-@DOCSTRING(namelengthmax)
+@ref{XREFnamelengthmax, , @code{namelengthmax}}: Return the MATLAB compatible maximum variable name length.
 
 @menu
 * Global Variables::
@@ -193,7 +194,7 @@
 systemic changes so that localizing a bug to a particular function, or to a
 particular loop within a function, becomes difficult.
 
-@DOCSTRING(isglobal)
+@ref{XREFisglobal, , @code{isglobal}}: Return true if NAME is a globally visible variable.
 
 @node Persistent Variables
 @section Persistent Variables
@@ -355,11 +356,12 @@
 @end group
 @end example
 
-@DOCSTRING(who)
+@ref{XREFwho, , @code{who}}: List currently defined variables matching the given patterns.
 
-@DOCSTRING(whos)
+@ref{XREFwhos, , @code{whos}}: Provide detailed information on currently defined variables matching the
+give...
 
-@DOCSTRING(whos_line_format)
+@ref{XREFwhos_line_format, , @code{whos_line_format}}: Query or set the format string used by the command 'whos'.
 
 Instead of displaying which variables are in memory, it is possible
 to determine if a given variable is available.  That way it is possible
@@ -374,7 +376,8 @@
 @end group
 @end example
 
-@DOCSTRING(exist)
+@ref{XREFexist, , @code{exist}}: Check for the existence of NAME as a variable, function, file,
+directory, or ...
 
 Usually Octave will manage the memory, but sometimes it can be practical
 to remove variables from memory manually.  This is usually needed when
@@ -391,18 +394,19 @@
 it can be necessary to remove it manually from memory.  The @code{clear}
 or @code{clearvars} functions do this.
 
-@DOCSTRING(clear)
+@ref{XREFclear, , @code{clear}}: Delete the names matching the given PATTERNs thereby freeing memory.
 
-@DOCSTRING(clearvars)
+@ref{XREFclearvars, , @code{clearvars}}: Delete the variables matching the given PATTERNs from memory.
 
-@DOCSTRING(pack)
+@ref{XREFpack, , @code{pack}}: Consolidate workspace memory in MATLAB.
 
 Information about a function or variable such as its location in the
 file system can also be acquired from within Octave.  This is usually
 only useful during development of programs, and not within a program.
 
-@DOCSTRING(type)
+@ref{XREFtype, , @code{type}}: Display the contents of NAME which may be a file, function (m-file),
+variable...
 
-@DOCSTRING(which)
+@ref{XREFwhich, , @code{which}}: Display the type of each NAME.
 
-@DOCSTRING(what)
+@ref{XREFwhat, , @code{what}}: List the Octave specific files in directory DIR.
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/vectorize.txi
--- a/doc/interpreter/vectorize.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/vectorize.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -361,7 +361,8 @@
 For functions that are not written with broadcasting semantics,
 @code{bsxfun} can be useful for coercing them to broadcast.
 
-@DOCSTRING(bsxfun)
+@ref{XREFbsxfun, , @code{bsxfun}}: Apply a binary function F element-by-element to two array arguments A
+and B, ...
 
 Broadcasting is only applied if either of the two broadcasting
 conditions hold.  As usual, however, broadcasting does not apply when two
@@ -478,13 +479,13 @@
 Octave provides facilities for applying a function to each element of an
 array, cell, or struct.
 
-@DOCSTRING(arrayfun)
+@ref{XREFarrayfun, , @code{arrayfun}}: Execute a function on each element of an array.
 
-@DOCSTRING(spfun)
+@ref{XREFspfun, , @code{spfun}}: Compute 'f (S)' for the nonzero elements of S.
 
-@DOCSTRING(cellfun)
+@ref{XREFcellfun, , @code{cellfun}}: Evaluate the function named NAME on the elements of the cell array C.
 
-@DOCSTRING(structfun)
+@ref{XREFstructfun, , @code{structfun}}: Evaluate the function named NAME on the fields of the structure S.
 
 Consistent with earlier advice, seek to use Octave built-in functions whenever
 possible for the best performance.  This advice applies especially to the four
@@ -502,9 +503,11 @@
 of an array when performing a computation, accumulation functions can be
 useful.
 
-@DOCSTRING(accumarray)
+@ref{XREFaccumarray, , @code{accumarray}}: Create an array by accumulating the elements of a vector into the
+positions d...
 
-@DOCSTRING(accumdim)
+@ref{XREFaccumdim, , @code{accumdim}}: Create an array by accumulating the slices of an array into the
+positions def...
 
 @node JIT Compiler
 @section JIT Compiler
@@ -533,13 +536,16 @@
 functions @code{jit_failcnt} and @code{debug_jit} are not likely to be of use
 to anyone not working directly on the implementation of the JIT compiler.
 
-@DOCSTRING(jit_enable)
+@ref{XREFjit_enable, , @code{jit_enable}}: Query or set the internal variable that enables Octave's JIT compiler.
 
-@DOCSTRING(jit_startcnt)
+@ref{XREFjit_startcnt, , @code{jit_startcnt}}: Query or set the internal variable that determines whether JIT
+compilation wi...
 
-@DOCSTRING(jit_failcnt)
+@ref{XREFjit_failcnt, , @code{jit_failcnt}}: Query or set the internal variable that counts the number of JIT fail
+excepti...
 
-@DOCSTRING(debug_jit)
+@ref{XREFdebug_jit, , @code{debug_jit}}: Query or set the internal variable that determines whether
+debugging/tracing ...
 
 @node Miscellaneous Techniques
 @section Miscellaneous Techniques
